%define pkg_name        Unicode-String
%define pkg_version     2.09
%define rpm_pkg_version 2.09
%define rpm_pkg_release 3.n0i.9

Summary:       String manipulation for Unicode strings
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(MIME::Base64) >= 2}
%{!?_without_test:BuildRequires: perl(Test)}


%description
A *Unicode::String* object represents a sequence of Unicode characters. The
Unicode Standard is a fixed-width, uniform encoding scheme for written
characters and text. This encoding treats alphabetic characters, ideographic
characters, and symbols identically, which means that they can be used in any
mixture and with equal facility. Unicode is modeled on the ASCII character
set, but uses a 16-bit encoding to support full multilingual text.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.09-3.n0i.9
- rebuild

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 2.09-2.n0i.8
- automatic rebuild (perl 5.8.8)

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 2.09-1.n0i.7
- version 2.09

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 2.07-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.07-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:2.07-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:2.07-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Sun Feb 22 2004 Marius FERARU <altblue@n0i.net> 0:2.07-1.n0i.1
- version 2.07
- spec file (re?)created using N0i::CPAN::RPMizer/2004012001
